# eric4.Plugins.VcsPlugins.vcsPySvn.SvnDialogMixin

Module implementing a dialog mixin class providing common callback methods for the pysvn client.

### Global Attributes

None

### Classes

SvnDialogMixin | Class implementing a dialog mixin providing common callback methods for the pysvn client.

### Functions

None

## SvnDialogMixin

Class implementing a dialog mixin providing common callback methods for the pysvn client.

### Derived from

object

### Class Attributes

None

### Methods

SvnDialogMixin | Constructor
_cancel | Protected method to request a cancellation of the current action.
_clientCancelCallback | Protected method called by the client to check for cancellation.
_clientLogCallback | Protected method called by the client to request a log message.
_clientLoginCallback | Protected method called by the client to get login information.
_clientSslServerTrustPromptCallback | Protected method called by the client to request acceptance for a ssl server certificate.
_reset | Protected method to reset the internal state of the dialog.

#### SvnDialogMixin (Constructor)

SvnDialogMixin(log = "")

Constructor

log
  optional log message (string or QString)

#### SvnDialogMixin._cancel

_cancel()

Protected method to request a cancellation of the current action.

#### SvnDialogMixin._clientCancelCallback

_clientCancelCallback()

Protected method called by the client to check for cancellation.

Returns:
  flag indicating a cancellation

#### SvnDialogMixin._clientLogCallback

_clientLogCallback()

Protected method called by the client to request a log message.

Returns:
  a flag indicating success and the log message (string)

#### SvnDialogMixin._clientLoginCallback

_clientLoginCallback(realm, username, may_save)

Protected method called by the client to get login information.

realm
  name of the realm of the requested credentials (string)
username
  username as supplied by subversion (string)
may_save
  flag indicating, that subversion is willing to save the answers returned (boolean)

Returns:
  tuple of four values (retcode, username, password, save). Retcode should be True, if username and password should be used by subversion, username and password contain the relevant data as strings and save is a flag indicating, that username and password should be saved.

#### SvnDialogMixin._clientSslServerTrustPromptCallback

_clientSslServerTrustPromptCallback(trust_dict)

Protected method called by the client to request acceptance for a ssl server certificate.

trust_dict
  dictionary containing the trust data

Returns:
  tuple of three values (retcode, acceptedFailures, save). Retcode should be true, if the certificate should be accepted, acceptedFailures should indicate the accepted certificate failures and save should be True, if subversion should save the certificate.

#### SvnDialogMixin._reset

_reset()

Protected method to reset the internal state of the dialog.

Up